import fetch from "@/utils/fetch";

export default {
  // ----------------------------内容管理--------------------
  addOrUpdateContentManagement(data) {
    //增加或者修改一条内容
    return fetch({
      url: "/ContentManagement/addOrUpdateContentManagement",
      method: "POST",
      data,
    });
  },

  getContentManagementList(data) {
    // 获取内容列表
    return fetch({
      url: "/ContentManagement/getContentManagementList",
      method: "POST",
      data,
    });
  },

  getContentManagementById(params) {
    // 根据主键id获取内容
    return fetch({
      url: "/ContentManagement/getContentManagementById",
      method: "GET",
      params,
    });
  },

  deleteContentManagementById(params) {
    // 根据主键id删除内容
    return fetch({
      url: "/ContentManagement/deleteContentManagementById",
      method: "GET",
      params,
    });
  },
};